using System;
using System.Collections.Generic;
using System.Text;

namespace Stairway
{
    public class MaterialData
    {
        public double gDens;
        public double gEMod;
        public double gPoi;
        public double gLoss;
        public double aDen;
        public double aSpeed;

        public MaterialData(double gDens, double gEMod, double gPoi, double gLoss, double aDen, double aSpeed)
        {
            this.gDens = gDens;
            this.gEMod = gEMod * Math.Pow(10, 9);
            this.gPoi = gPoi;
            this.gLoss = gLoss;
            this.aDen = aDen;
            this.aSpeed = aSpeed;
        }
        public void setMatData(double gDens, double gEMod, double gPoi, double gLoss, double aDen, double aSpeed)
        {
            this.gDens = gDens;
            this.gEMod = gEMod;
            this.gPoi = gPoi;
            this.gLoss = gLoss;
            this.aDen = aDen;
            this.aSpeed = aSpeed;
        }
        
        public double[] getMatData()
        {
            double[] materialdatas = new double[] { gDens, gEMod, gPoi, gLoss, aDen, aSpeed };

            return materialdatas;
        }
            
    }

}
