close all
clear all
clc

f = 0:1:94;
m = zeros(1,95)
d = zeros(1,95)
t = zeros(1,95)

for i=0:1:70
    d(25+i)=73+i*0.2375;
end

for i=0:1:10
    m(25+i) = 78 + i*0.45;
end
for i=0:1:10
    m(35+i) = 78 + i*0.45;
end
for i=0:1:13
    m(45+i) = 77 + i*0.45;
end
for i=0:1:21
    m(58+i) = 78 + i*0.35;
end
for i=0:1:23
    m(72+i) = 78 + i*0.25;
end

for i = 1:1:95
    t(i) =10*log10(10^(m(i)/10)+10^(d(i)/10));
end
 


figure('Position',[100 100 500 500*(13.5/11.2)/6*5*(13.5/11.2)/(14.65/11.5)],'Color',[1 1 1]);
plot(f,m,'r');
hold on
plot(f,d,'b');
hold on
plot(f,t,'g')

legend('motorsty', 'dekksty','totale styniv',2);
Ylabel('Lydtrykkniv [dB(A)]','FontWeight','normal','FontSize',12)
Xlabel('Hastighet [km/t]','FontWeight','normal','FontSize',12)
title('Lydtrykkniv, dekksty og motorsty','FontWeight','normal','FontSize',14)
set(gca,'FontSize',8)
set(gca,'XTick',[25 30 35 40 45 50 55 60 65 70 75 80 85 90 95])
set(gca,'XTickLabel',{ '' '30' '' '40' '' '50' '' '60' '' '70' '' '80' '' '90' ''},'FontSize',8)
axis([25 95 70 90])
%Plotter vertikale hjelpelinjer