close all;
clear opm;
clear f;
%Plotter Killengren-frekvensen som funksjon av turtall for satt antall
% synlindre
%
%   Bruk:
%   killengren(x)
%
%   x er antall sylindre
%
% Knut Haugen 2006


h = figure('Color',[1 1 1]);
y = 1500:1:3000; 
f = (y.* 4/2) /60;
plot(y,f,'r');
hold on
title('4 sylindre','FontWeight','normal','FontSize',14);
%xlabel('Turtall [opm]','FontWeight','normal','FontSize',12);
ylabel('Frekvens [Hz]','FontWeight','normal','FontSize',12);
f2 = (y.* 6/2) /60;
plot(y,f2,'b');
hold on
title('6 sylindre','FontWeight','normal','FontSize',14);
%xlabel('Turtall [opm]');%,'FontWeight','normal','FontSize',12);
ylabel('Frekvens [Hz]','FontWeight','normal','FontSize',12);
f3 = (y.* 8/2) /60;
plot(y,f3,'g');
hold off
legend('4 sylindre','6 sylindre','8 sylindre',2)
title('Senterfrekvens, motorsty','FontWeight','normal','FontSize',14);
xlabel('Turtall [opm]','FontWeight','normal','FontSize',12);
ylabel('Frekvens [Hz]','FontWeight','normal','FontSize',12);